## ros-humble-base2d-kinematics 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(base2d_kinematics)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS_INIT} -fPIC")

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(base2d_kinematics_msgs REQUIRED)
find_package(nav_2d_msgs REQUIRED)
find_package(rclcpp REQUIRED)

add_library(base2d_kinematics src/kinematic_parameters.cpp src/noise_model.cpp)
target_include_directories(base2d_kinematics PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(base2d_kinematics
  base2d_kinematics_msgs
  rclcpp
  geometry_msgs
  nav_2d_msgs
)

add_executable(kinematics_publisher src/kinematics_publisher.cpp)
target_include_directories(kinematics_publisher PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
target_link_libraries(kinematics_publisher base2d_kinematics)
ament_target_dependencies(kinematics_publisher
  base2d_kinematics_msgs
  rclcpp
  geometry_msgs
  nav_2d_msgs
)
install(TARGETS kinematics_publisher
        DESTINATION lib/${PROJECT_NAME}
)

ament_export_targets(export_base2d_kinematics HAS_LIBRARY_TARGET)
install(TARGETS base2d_kinematics
        EXPORT export_base2d_kinematics
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
)
install(DIRECTORY include/
        DESTINATION include
)
ament_export_include_directories(include)
ament_export_dependencies(base2d_kinematics_msgs)

ament_package()

=== debian/changelog ===
ros-humble-base2d-kinematics (0.2.0-1jammy) jammy; urgency=high

  * Fix #1 <https://github.com/MetroRobots/metro_nav/issues/1> (#3 <https://github.com/MetroRobots/metro_nav/issues/3>)
  * Rename packages (#2 <https://github.com/MetroRobots/metro_nav/issues/2>)
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 08 Sep 2023 04:00:00 -0000

ros-humble-base2d-kinematics (0.1.0-1jammy) jammy; urgency=high

  * Initial kinematics_2d_msgs and kinematics_2d packages
  * Contributors: David V. Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Aug 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-base2d-kinematics
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-base2d-kinematics-msgs, ros-humble-geometry-msgs, ros-humble-nav-2d-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-base2d-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-base2d-kinematics-msgs, ros-humble-geometry-msgs, ros-humble-nav-2d-msgs, ros-humble-rclcpp, ros-humble-ros-workspace
Description: Implementation of simple kinematics in two and half dimensions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-base2d-kinematics//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
